---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/z_radio/"
---------------------------------------------------------------------------------------
createCompositionbgsparks = nil
createCompositionRadar = nil
---------------------------------------------------------------------------------------
createCompositionbgsparks = function()
	local compositionbg = CreateCompositionSequence()
	local compositionDuration = 2
	compositionbg:setDuration(compositionDuration)
	compositionbg:setName("compositionbgsparks" )
	compositionbg:setBoundingBox( Rectanglef(0, 0, 384,512) )
 
	local element
	local effector
 
	-- Layer Radar/1
	element = createCompositionRadar()
	element:setName("Radar/1")
	compositionbg:addElement(element)
	element:setHotSpot(192, 256)
	element:setParentElement(compositionbg)
	element:setXY(192, 256)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
	compositionbg:play()
 
	return compositionbg
end
 
createCompositionRadar = function()
	local compositionRadar = CreateCompositionSequence()
	local compositionDuration = 2
	compositionRadar:setDuration(compositionDuration)
	compositionRadar:setName("compositionRadar" )
	compositionRadar:setBoundingBox( Rectanglef(0, 0, 384,512) )
 
	local element
	local effector
 
	-- Layer ml_[00000-00023].png/1
	element = CreateCompositionElement(PREFIX_PATH.."ml_[].png")
	element:setName("ml_[00000-00023].png/1")
	compositionRadar:addElement(element)
	element:setHotSpot(70, 37)
	element:setParentElement(compositionRadar)
	element:setXY(171, 234)
 
	element:setScale(1.2955246059262,0.72449722279621)
	element:setRotationRad(1.3439035225)
					local anim = element
					anim:setAnimationSize(140,74)
					anim:setFramesCount(24)
					anim:setFPS(30)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 0.8)
	effector:play()
 
 
	-- Layer spotlight_red_dark2.png/2
	element = CreateCompositionElement(PREFIX_PATH.."spotlight_red_dark2.png")
	element:setName("spotlight_red_dark2.png/2")
	compositionRadar:addElement(element)
	element:setHotSpot(32, 32)
	element:setParentElement(compositionRadar)
	element:setXY(231, 140)
 
	element:setScale(2.03125,2.53125)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.29166666666667, 0.65)
	effector:setKey(_TRACK_O, 0.5, 0.55)
	effector:setKey(_TRACK_O, 0.70833333333333, 0.73)
	effector:setKey(_TRACK_O, 0.91666666666667, 0.51)
	effector:setKey(_TRACK_O, 1.125, 0.66)
	effector:setKey(_TRACK_O, 1.33333333333333, 0.5)
	effector:setKey(_TRACK_O, 1.54166666666667, 0.57)
	effector:setKey(_TRACK_O, 1.75, 0.46)
	effector:setKey(_TRACK_O, 1.95833333333333, 0.65)
	effector:play()
 
 
	-- Layer svarka_[00000-00047].png/3
	element = CreateCompositionElement(PREFIX_PATH.."svarka_[].png")
	element:setName("svarka_[00000-00047].png/3")
	compositionRadar:addElement(element)
	element:setHotSpot(10, 12)
	element:setParentElement(compositionRadar)
	element:setScale(0.76153846681118,1)
					local anim = element
					anim:setAnimationSize(20,24)
					anim:setFramesCount(48)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:setKey(_TRACK_X, 0, 299)
	effector:setKey(_TRACK_Y, 0, 67)
	effector:setKey(_TRACK_X, 0.29166666666667, 327.250089464984)
	effector:setKey(_TRACK_Y, 0.29166666666667, 100.750347970474)
	effector:setKey(_TRACK_X, 0.58333333333333, 313.500404368861)
	effector:setKey(_TRACK_Y, 0.58333333333333, 138.501807585006)
	effector:setKey(_TRACK_X, 0.83333333333333, 313.078525134839)
	effector:setKey(_TRACK_Y, 0.83333333333333, 169.119743927136)
	effector:setKey(_TRACK_X, 1.04166666666667, 299.893583983457)
	effector:setKey(_TRACK_Y, 1.04166666666667, 196.468202240469)
	effector:setKey(_TRACK_X, 1.29166666666667, 273.65075596368)
	effector:setKey(_TRACK_Y, 1.29166666666667, 220.475664711237)
	effector:setKey(_TRACK_X, 1.54166666666667, 253.407205216625)
	effector:setKey(_TRACK_Y, 1.54166666666667, 248.483935874585)
	effector:setKey(_TRACK_X, 1.75, 239.203761244501)
	effector:setKey(_TRACK_Y, 1.75, 273.741559701664)
	effector:setKey(_TRACK_X, 1.95833333333333, 233)
	effector:setKey(_TRACK_Y, 1.95833333333333, 301)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 0.58333333333333, 1)
	effector:setKey(_TRACK_O, 0.66666666666667, 0)
	effector:setKey(_TRACK_O, 1.125, 0)
	effector:setKey(_TRACK_O, 1.20833333333333, 1)
	effector:setKey(_TRACK_O, 1.625, 1)
	effector:setKey(_TRACK_O, 1.70833333333333, 0)
	effector:play()
 
 
	-- Layer Sparks_01_[00000-00011].png/4
	element = CreateCompositionElement(PREFIX_PATH.."Sparks_01_[].png")
	element:setName("Sparks_01_[00000-00011].png/4")
	compositionRadar:addElement(element)
	element:setHotSpot(70, 40)
	element:setParentElement(compositionRadar)
	element:setXY(216, 130)
 
	element:setScale(1.37,1.37)
					local anim = element
					anim:setAnimationSize(140,80)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1)
	effector:play()
 
 
	-- Layer lampa.png/5
	element = CreateCompositionElement(PREFIX_PATH.."lampa.png")
	element:setName("lampa.png/5")
	compositionRadar:addElement(element)
	element:setHotSpot(26, 45)
	element:setParentElement(compositionRadar)
	element:setXY(247, 132)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
 
	-- Layer open.png/6
	element = CreateCompositionElement(PREFIX_PATH.."open.png")
	element:setName("open.png/6")
	compositionRadar:addElement(element)
	element:setHotSpot(192, 256)
	element:setParentElement(compositionRadar)
	element:setXY(188, 252)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 2)
	effector:play()
 
	compositionRadar:play()
 
	return compositionRadar
end
 
